predict.HoltWinters {ts} | R Documentation

## prediction function for fitted Holt-Winters models

### Description

Computes predictions and prediction intervals for models fitted by the Holt-Winters method.

### Usage

    predict(object, n.ahead=1, prediction.interval = FALSE,
                        quantile = qnorm(0.975), ...)

### Arguments

`object` | An object of class `HoltWinters`
`n.ahead` | Number of future periods to predict
`prediction.interval` | logical. If `TRUE`, the lower and upper bounds of the corresponding prediction intervals are computed
`quantile` | Quantile used for each one-sided prediction interval (default: the 0.975 quantile to give a two-sided 0.95 interval)
`...` | arguments passed to or from other methods.

### Value

A time series of the predicted values. If prediction intervals are requested, a multiple time series is returned with columns `fit`, `lwr` and `upr` for the predicted values and the lower and upper bounds respectively.

### Author(s)

David Meyer david.meyer@ci.tuwien.ac.at

### References

C.C Holt (1957) Forecasting seasonals and trends by exponentially weighted moving averages, ONR Research Memorandum, Carnigie Institute 52.

P.R Winters (1960) Forecasting sales by exponentially weighted moving averages, Management Science 6, 324–342.

### See Also

`HoltWinters`

### Examples

    data(co2)
    m <- HoltWinters(co2)
    p <- predict(m, 50, prediction.interval = TRUE)
    plot(m, p)

[Package Contents]